{% extends "base/base.html" %}
{% load static %}
{% block content %}
    {% if not project %}
        Tento projekt neexistuje.
    {% else %}
        <div class="main">
            <h1>{{ project.name }}</h1>
            <p>{{ project.get_pretty_description|safe }}</p>
        </div>
        {% include "project_detail_images.html" %}
        <div class="d-flex">
            <h3>Soubory projektu</h3>
            {% for file in project.files.get_public_files %}
                <div>
                    <a href="{{ file.file.url }}" target="_blank">{{ file.name }}
                        <img src="{% static 'img/icon_file_download.png' %}" alt="Stáhnout soubor" loading="lazy">
                    </a>
                </div>
            {% empty %}
                <div>Žádné soubory k tomuto projektu nebyly přidány.</div>
            {% endfor %}
        </div>

    {% endif %}

    <div>
        <h3>Napiště mi</h3>
        <form method="POST" action="{% url 'add_message' %}">
            {% csrf_token %}
            {{ contact_me.as_p }}
            <button type="submit">Odeslat</button>
        </form>
    </div>

{% endblock %}